*********************************************************************
* lib_hb.asm                                                        *
*                                                                   *
* Handy Board assembly language standard libraries                  *
*                                                                   *
* Fred Martin        fredm@media.mit.edu           1 March 1998     *
*********************************************************************

* 6811 registers
ADCTL		equ	$1030	; A/D Control/status Register
ADR1		equ	$1031	; A/D Result Register 1

	org	MAIN_START

* take analog reading with interrupts disabled	
subroutine__raw_analog:
	andb	#7		; keep in range
	sei			; begin protected access to A/D
	stab	ADCTL		; begin analog conversion
* wait 32 cycles for analog reading to happen
	ldaa	#6		; 2
waitlp	deca			; 2
	bne	waitlp		; 3
	ldab	ADR1		; get analog read
	cli			; end protected access to A/D
	rts			; b has reading, a has 0

